# SourcePath: hostname/20110125dev
Summary: A utility to set/show the host name or domain name
Name: sony-target-dev-hostname
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-hostname
Version: 3.05
Release: 08020202
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
URL: http://packages.debian.org/stable/source/hostname
Source: hostname_%{version}.tar.gz
Patch: hostname-%{version}-make.patch
Patch1:hostname-%{version}-dot-notation.patch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define targetroot %{sony_target_dir}

%define _mandir	%{sony_target_dir}%{sony_target_dev_man_dir}
%define _docdir %{sony_target_dir}%{sony_target_dev_doc_dir}


%description
The hostname command can be used to either set or display
the current host or domain name of the system. This name is
used by many of the networking programs to identify the machine.
The domain name is also used by NIS/YP.

%package -n %{pkgname}
Summary: A utility to set/show the host name or domain name
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The hostname command can be used to either set or display
the current host or domain name of the system. This name is
used by many of the networking programs to identify the machine.
The domain name is also used by NIS/YP.

%prep
# %target_check
%setup -q -n hostname-%{version}
%patch -p1
%patch1 -p1

%build
%sony_target_dev_setup
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install BASEDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_dir} INSTALL=install
rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
### mv %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man %{buildroot}%{_mandir}
### gzip -v9 %{buildroot}%{_mandir}/man*/*
### ln -s hostname.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/dnsdomainname.1.gz
### cp COPYRIGHT LICENSE

### rm -rf %{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/dnsdomainname
%{sony_target_dir}%{sony_target_dev_dir}/bin/hostname
# %{_mandir}/man*/*

### %doc debian/changelog LICENSE


%changelog
* Tue Jan 25 2011 Sony Corporation
- hostname version up 3.05

* Tue Mar 31 2009 Sony Corporation
- hostname version up 2.95

* Wed Apr 30 2008 Sony Corporation
- hostname version up 2.93

* Tue Feb 27 2007 Sony Corporation
- hostname version up 2.13

* Thu Jan 13 2005 Sony Corporation
- delete tmpl,pml files

* Tue Dec 21 2004 Sony Corporation
- remove LICENSE

* Thu Nov 18 2004 Sony Corporation
- delete online manual

* Thu Nov 11 2004 Sony Corporation
- change  %{sony_target_dev_prefix} -> /devel

* Thu Nov 11 2004 Sony Corporation
- change  /devel ->  %{sony_target_dev_prefix}

* Tue Nov 10 2004 Sony Corporation
- change  Name: hostname -> Name: sony-target-dev-hostname
                                                                                
* Thu Oct 15 2004 Sony Corporation
- Initial build
